-- This goal 'walks along' and doesn't need it's own mSteps list. 
-- It will automatically be started and finished by the other goals.
-- ----------------------------------------------------------------------------
function goalCheckTire:shouldStart()

	return (goalUseWater:isFinished() and (not objectCarReady:isIdle()))

end
-- ----------------------------------------------------------------------------
function goalCheckTire:onLayoutShow(layout)

	if (self:isStarted() and layout == layoutWoods1Tirechange) then
		self:achieved()
	end
	
end
-- ----------------------------------------------------------------------------
function goalCheckTire:shouldFinish()
	
	if (goalChangeTire:isFinished()) then
		self:achieved()
	end
	
	return Goal.shouldFinish(self)
	
end